.:: Bots United ::.

.:: Bots United ::. (http://forums.bots-united.com/index.php)
-   (mEAn) Bot.Admin Version Updates (http://forums.bots-united.com/forumdisplay.php?f=28)
-   -   Version 6.02.01 for Linux and Windows (http://forums.bots-united.com/showthread.php?t=4824)

botmeister 04-01-2006 01:56

Version 6.02.01 for Linux and Windows
 
Version 6.02.01 for Windows and Linux

Release notes:
  • The main manual has been updated to include all of the new commands and CVARS.

  • m_enforceclanteam has been modified as follows:

    m_enforceclanteam [ <ct|te> | <relaxed|strict> | <auto|manual> | off ]
    default minimum access level: clan member

    Default settings: off, strict, auto

    Usage 1:
    m_enforceclanteam [ te | ct ]
    Non clan members who are on the designated clan team, and clan members
    who are not on the designated clan team, will get blown up automatically
    at start of each round. A private message will be displayed telling
    the person they are on the wrong team and how to switch teams.

    Usage 2:
    m_enforceclanteam [ relaxed | strict ]
    When set to relaxed, allows clan members to join any team.

    Usage 3:
    m_enforceclanteam [ auto | manual ]
    By default, after all clan members leave the game, the enforcement is
    automatically turned off. This is done to allow the server to automatically
    resume normally after all of your clan members leave, otherwise the server
    will be unplayable.

    When set to "manual", the clan enforcement will not automatically turn off.

  • Added CVAR m_kickspecbots [on|off]
    When set to "on" the server will kick spectating bots as part of the
    bot balancing feature.

    default: off (disabled)

  • Added CVAR m_autobalanceinterval [1 .. 600] (seconds)

    default: 90 seconds

Get it from here or here.

Zofteis 09-01-2006 15:59

Re: Version 6.02.01 for Linux and Windows
 
thanks a lot !!!!
Does this version work with the newest Version of EPODBOT???
or do i have to take PODBOT mm ???

botmeister 10-01-2006 19:45

Re: Version 6.02.01 for Linux and Windows
 
It's untested with EPODBOT, but you can try it. Use "epodbot" in the command line to tell mEAn that you are running epodbot.

Zofteis 10-01-2006 20:57

Re: Version 6.02.01 for Linux and Windows
 
Well yes i gave it a try, but i think that it doesnīt work because always when i type in the command line that i am using epodbot it crashes:innocent::innocent:

woot woot 12-01-2006 05:09

Re: Version 6.02.01 for Linux and Windows
 
Wrong installation then... did you follow the instructions given on how to add epb with mean?

Zofteis 12-01-2006 18:51

Re: Version 6.02.01 for Linux and Windows
 
yeah i did but iīd installed epodbot with metamod donīt know if that is important....

woot woot 12-01-2006 22:43

Re: Version 6.02.01 for Linux and Windows
 
I would try it out with epb since I have it already installed... but I can't even run it, and Storm couldn't fix my problem, so he's looking into it. But, if epb doesn't work, podbot_mm certainly does. :)

botmeister 14-01-2006 08:56

Re: Version 6.02.01 for Linux and Windows
 
I downloaded the latest version and EPB is not a metamod plugin. To get it to work with mEAn & metamod, you put this in your command line:

+localinfo mgamedll addons/metamod/dlls/metamod.dll +localinfo mm_gamedll epodbot/epb.dll +localinfo mbotmod epodbot

Load mEAn from the liblist.gam file.

The problem I'm having is that the DS commands as shown in the docs don't work - or they've been changed from "pb addbot" or "bot addbot" to something else.

botmeister 14-01-2006 09:01

Re: Version 6.02.01 for Linux and Windows
 
I guessed the DS cvar for running commands is "epb" so I tried "epb addbot" and the server just crashes, so if that's the right command to add bots, then it won't work. I suggest that you use the new metamod podbot because it definitely works.

kickassbots 26-03-2006 00:18

Re: Version 6.02.01 for Linux and Windows
 
Hey guys,

I'm using Mean with metamod (so I can run JoeBot without errors) and am having a problem with the command:
m_enforceclanteam ct
When I try to run it, I get the error:
(mEAn) Usage: m_enforceclanteam [ <ct|te> | <relaxed|strict> | <auto|manual> | off ]
Isn't my command already complying with the syntax???

Please help me out.

P.S. I'm running Mean on a dedicated LAN server.


All times are GMT +2. The time now is 12:07.

Powered by vBulletin® Version 3.8.2
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.